FLANG

Public Types | Public Member Functions | Friends | List of all members
Fortran::evaluate::InitialImage Class Reference

## Public Types
enum | Result { Ok, NotAConstant, OutOfRange, SizeMismatch }

## Public Member Functions
| InitialImage (std::size_t bytes)
std::size_t | size () const
template<typename A >
Result | Add (ConstantSubscript, std::size_t, const A &)
template<typename T >
Result | Add (ConstantSubscript offset, std::size_t bytes, const Constant< T > &x)
template<int KIND>
Result | Add (ConstantSubscript offset, std::size_t bytes, const Constant< Type< TypeCategory::Character, KIND >> &x)
Result | Add (ConstantSubscript, std::size_t, const Constant< SomeDerived > &)
template<typename T >
Result | Add (ConstantSubscript offset, std::size_t bytes, const Expr< T > &x)
void | AddPointer (ConstantSubscript, const Expr< SomeType > &)
std::optional< Expr< SomeType > > | AsConstant (FoldingContext &, const DynamicType &, const ConstantSubscripts &, ConstantSubscript offset=0) const
std::optional< Expr< SomeType > > | AsConstantDataPointer (const DynamicType &, ConstantSubscript offset=0) const
const ProcedureDesignator & | AsConstantProcPointer (ConstantSubscript offset=0) const

## Friends
class | AsConstantHelper
class | AsConstantDataPointerHelper

The documentation for this class was generated from the following files:

- include/flang/Evaluate/initial-image.h
- lib/Evaluate/initial-image.cpp